\begin{tabular}{|l|l|l|l|l|l|c|c|c|}
\hline \multicolumn{4}{|c|}{Proof obligations } & \provername{Alt-Ergo 2.3.1} & \provername{CVC4 1.6} & \provername{Z3 4.8.6} \\ 
\hline
\explanation{findOneSubset\_if\_only\_if\_some} & & & & \noresult& \valid{0.10} & \noresult\\ 
\hline
\explanation{findOneSubset\_mem\_subset} & & & & \noresult& \valid{0.10} & \noresult\\ 
\hline
\explanation{findOneSubset\_nil}  & \explanation{findOneSubset\_nil.0}  &   &  & \noresult& \valid{0.06} & \noresult\\ 
\cline{4-6}
 &  &  &  & \valid{0.02} & \valid{0.13} & \valid{0.05} \\ 
\hline
\explanation{findOneSubset\_notsubset}  & \explanation{findOneSubset\_notsubset.0}  &   &  & \noresult& \valid{0.06} & \noresult\\ 
\cline{4-6}
 &  &  &  & \valid{0.01} & \valid{0.09} & \valid{0.05} \\ 
\hline \end{tabular}
